#include <stdio.h>
int main()
{
    long V,V1,nov=0,x;
    printf("Unesite sumu");
    scanf("%ld",&V);
    V1=V;
    while(V1!=0)
    {
        x=V1%10;
        if(x==1 || x==2 || x==5)
        nov+=1;
        if(x==3 || x==4 || x==6 || x==7)
        nov+=2;
        if(x==8 || x==9)
        nov+=3;
        V1/=10;
    }
    printf("Najmanji broj novcanica je: %ld",nov);
    return 0;
}